Loading...
Searching...
No Matches
caf::detail::is_manipulator< F > Struct Template Reference

Checks wheter F takes mutable references. More...

`#include <type_traits.hpp>`

## Static Public Attributes

static constexpr bool | value

## Detailed Description

template<class F>
struct caf::detail::is_manipulator< F >

Checks wheter F takes mutable references.

A manipulator is a functor that manipulates its arguments via mutable references.

## Member Data Documentation

## value

template<class F>

bool caf::detail::is_manipulator< F >::value

static constexpr

Initial value:
=
tl_exists<typename get_callable_trait<F>::arg_types, is_mutable_ref>::value
caf::detail::is_mutable_ref
Checks wheter T is a non-const reference.
Definition type_traits.hpp:434
caf::detail::tl_exists
Tests whether a predicate holds for some of the elements of a list.
Definition type_list.hpp:507

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp